Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log

From: Juri Linkov <[email-masked]>
Date: Thu, 07 Oct 2021 10:58:10 +0300

>> It will take more time to create branch commands due to many problems.
>> So the best what we could do now is to rebind 'vc-switch-backend'
>> from 'C-x v b' to 'C-x v B' in emacs-28 to give time to adapt
>> to  new keybinding.
>
> Please don't change such old key bindings, not unless we are
> deprecating the command (which we aren't, AFAIU).

Sorry, I see no connection: why changing key bindings requires
deprecating the command?

>>'vc-switch-backend' was announced in NEWS thusly:
>>
>>   If a file is registered in multiple backends, you can switch to
>>   another one using C-x v b (vc-switch-backend).  This does not change
>>   any files, it only changes VC's perspective on the file.  Use this to
>>   pick up changes from CVS while working under RCS locally.
>>
>> So it was intended to switch backends between CVS and RCS.
>
> It was then, but it can be used today with other backends.

What backends do you switch with 'C-x v b' today?

> So I'm opposed to such a change.  (And it's too late for incompatible
> changes on the emacs-28 branch anyway.)

It makes no sense to develop branch commands without 'C-x v b' binding.